Default Non Compatible Clock Apps

Hello, I am new to this forum,
I have a samsung galaxy s4 zoom, running 4.2.2 jellybean. When I go to download certain apps for my gear fit, suck as dripping paint clock, it says my it is incompatible with my device. I believe it is because i need 4.3 or higher. Does anyone know of a way which would be easy for me to make this work?
Thanks